# Skybolt Linux

## Introduction

Patches and Dockerfile for building Skybolt on Linux.

## Build procedure

1. Download asset packages (`Core_1_0_0.zip` `EarthMed_1_0_0.zip` and `Seattle_1_0_0.zip`) to current directory. Source: <https://piraxus.com/downloads/assetpackages.html>

2. Build skybolt docker image

```
docker build -f Dockerfile -t skybolt .
```

## Usage

The skybolt docker image requires hardware acceleration. How to enable hardware acceleration varies depending on GPU vendor.

### Intel GPU

Run tests:

```
xhost +
docker run --volume=/tmp/.X11-unix:/tmp/.X11-unix --device=/dev/dri:/dev/dri skybolt sh -c '(cd build && make test)'
```

Run MinimalApp:

```
xhost +
docker run -it --volume=/tmp/.X11-unix:/tmp/.X11-unix --device=/dev/dri:/dev/dri --env="DISPLAY=$DISPLAY" skybolt build/bin/MinimalApp
```

### NVIDIA GPU

See <https://github.com/NVIDIA/nvidia-docker>


## Status

* Libraries and programs building: YES
* Tests passing: YES
* MinimalApp running: YES


## Links

Skybolt project: <https://github.com/Piraxus/Skybolt>
